Rapid7 Vulnerability & Exploit Database

SUSE: CVE-2020-28924: SUSE Linux Security Advisory

Back to Search

SUSE: CVE-2020-28924: SUSE Linux Security Advisory

Severity
5
CVSS
(AV:N/AC:L/Au:N/C:P/I:N/A:N)
Published
11/19/2020
Created
12/05/2020
Added
12/03/2020
Modified
10/22/2021

Description

An issue was discovered in Rclone before 1.53.3. Due to the use of a weak random number generator, the password generator has been producing weak passwords with much less entropy than advertised. The suggested passwords depend deterministically on the time the second rclone was started. This limits the entropy of the passwords enormously. These passwords are often used in the crypt backend for encryption of data. It would be possible to make a dictionary of all possible passwords with about 38 million entries per password length. This would make decryption of secret material possible with a plausible amount of effort. NOTE: all passwords generated by affected versions should be changed.

Solution(s)

  • suse-upgrade-rclone
  • suse-upgrade-rclone-bash-completion
  • suse-upgrade-rclone-zsh-completion

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;